Sophie

Sophie

distrib > Mageia > 7 > i586 > by-pkgid > 85831a6478e14c4a8ac6452958c6e526 > files > 22

dkms-2.0.19-40.mga7.src.rpm


 dkms               |    4 ++--
 dkms.8             |    6 +++---
 dkms_autoinstaller |    2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -Nurp dkms-2.0.19.orig/dkms dkms-2.0.19/dkms
--- dkms-2.0.19.orig/dkms	2011-12-25 15:28:57.000000000 +0200
+++ dkms-2.0.19/dkms	2011-12-25 15:30:13.647945057 +0200
@@ -888,10 +888,10 @@ function prepare_kernel()
 
     set_kernel_source_dir "$1"
 
-    # Check that kernel-source exists
+    # Check that kernel-devel exists
     if ! [ -e "$kernel_source_dir/include" ]; then
 	echo $"" >&2
-	echo $"Error! Your kernel source for kernel $1 cannot be found at" >&2
+	echo $"Error! Your kernel devel files for kernel $1 cannot be found at" >&2
 	echo $"/lib/modules/$1/build or /lib/modules/$1/source." >&2
 	echo $"You can use the --kernelsourcedir option to tell DKMS where it's located."
 	exit 1
diff -Nurp dkms-2.0.19.orig/dkms.8 dkms-2.0.19/dkms.8
--- dkms-2.0.19.orig/dkms.8	2011-12-25 15:28:56.000000000 +0200
+++ dkms-2.0.19/dkms.8	2011-12-25 15:30:13.657945277 +0200
@@ -330,11 +330,11 @@ a module for it.  Generally, this option
 ensure that modules are compiled correctly.
 .TP
 .B --no-clean-kernel
-This option keeps DKMS from cleaning your kernel source tree after a
+This option keeps DKMS from cleaning your kernel devel tree after a
 build.
 .TP
 .B --kernelsourcedir <kernel-source-directory-location>
-Using this option you can specify the location of your kernel source
+Using this option you can specify the location of your kernel devel
 directory.  Most likely you will not need to set this if your kernel
 source is accessible via
 .I /lib/modules/$kernel_version/build.
@@ -698,7 +698,7 @@ the location where DKMS keeps source on
 has changed it on their system.
 .TP
 .B $kernel_source_dir
-This variable holds the value of the location of your kernel source directory.  Usually, this
+This variable holds the value of the location of your kernel devel directory.  Usually, this
 will be
 .I /lib/modules/$kernelver/build
 , unless otherwise specified with the
diff -Nurp dkms-2.0.19.orig/dkms_autoinstaller dkms-2.0.19/dkms_autoinstaller
--- dkms-2.0.19.orig/dkms_autoinstaller	2011-12-25 15:28:56.000000000 +0200
+++ dkms-2.0.19/dkms_autoinstaller	2011-12-25 15:30:28.708275764 +0200
@@ -100,7 +100,7 @@ case "$1" in
 		else
 		    echo "$module_in_tree ($version_in_tree): Installing module." >$output_loc
 		    if [ "$current_state" != "built" ] && ! [ -e /lib/modules/$kernel/build/include ]; then
-			echo "  Kernel source for $kernel not installed.  Cannot install this module." >$output_loc
+			echo "  Kernel devel files for $kernel not installed.  Cannot install this module." >$output_loc
 		    elif [ "$current_state" != "built" ] && [ -e /lib/modules/$kernel/build/include ]; then
 			return_status=""
 			if [ -z "$kernel_preparation_done" ]; then